/*
 * The Clear BSD License
 * Copyright (c) 2013 - 2015, Freescale Semiconductor, Inc.
 * Copyright 2016-2017 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

#include "fsl_device_registers.h"
#include "fsl_debug_console.h"
#include "board.h"

#include "pin_mux.h"
#include "clock_config.h"
/*******************************************************************************
 * Definitions
 ******************************************************************************/


/*******************************************************************************
 * Prototypes
 ******************************************************************************/

/*******************************************************************************
 * Code
 ******************************************************************************/
/*!
 * @brief Main function
 */
int main(void)
{
    char ch;
    uint32_t tmp;

    /* Init board hardware. */
    BOARD_ConfigMPU();
    BOARD_InitPins();
    BOARD_BootClockRUN();
    BOARD_InitDebugConsole();

    PRINTF("Hello World!\r\n");
    tmp = (uint32_t)main;
    if ((tmp & 0xf0000000) == 0x60000000) {
        PRINTF("Function main() running in Adesto EcoXiP flash (0x%x)\r\n", tmp);
    } else if (((tmp & 0xf0000000) == 0x00000000) || ((tmp & 0xF0000000) == 0x20000000)) {
        PRINTF("Function main() running in internal RAM (0x%x)\r\n", tmp);
    } else if ((tmp & 0xF0000000) == 0x80000000) {
        PRINTF("Function main() running in external SDRAM (0x%x)\r\n", tmp);
    }

    while (1)
    {
        ch = GETCHAR();
        PUTCHAR(ch);
    }
}
